org.richfaces.context

## Class ExecuteExtendedVisitContext

- java.lang.Object
- - javax.faces.component.visit.VisitContext
  - - org.richfaces.context.ExtendedVisitContext
    - - org.richfaces.context.BaseExtendedVisitContext
      - - org.richfaces.context.ExecuteExtendedVisitContext

-     public class ExecuteExtendedVisitContext
      extends BaseExtendedVisitContext

  Author:
    Nick Belaevski

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.context.BaseExtendedVisitContext

      `BaseExtendedVisitContext.ClientIdVisitor`

  - ### Field Summary

    - ### Fields inherited from class org.richfaces.context.BaseExtendedVisitContext

      `addNodeVisitor, removeNodeVisitor`

    - ### Fields inherited from class org.richfaces.context.ExtendedVisitContext

      `META_COMPONENT_ID`

    - ### Fields inherited from class javax.faces.component.visit.VisitContext

      `ALL_IDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecuteExtendedVisitContext(javax.faces.context.FacesContext facesContext, Collection<String> clientIds, Set<javax.faces.component.visit.VisitHint> hints)`

  - ### Method Summary

    - ### Methods inherited from class org.richfaces.context.BaseExtendedVisitContext

      `addDirectSubtreeIdsToVisitForImplicitComponents, createNamingContainerVisitContext, getDirectSubtreeIdsToVisit, getHints, getIdsToVisit, getSubtreeIdsToVisit, hasImplicitSubtreeIdsToVisit, invokeVisitCallback, invokeVisitCallbackForImplicitComponent, shouldCompleteOnEmptyIds, visitClientId`

    - ### Methods inherited from class org.richfaces.context.ExtendedVisitContext

      `buildExtendedClientId, buildExtendedComponentId, getFacesContext, getVisitMode, invokeMetaComponentVisitCallback`

    - ### Methods inherited from class javax.faces.component.visit.VisitContext

      `createVisitContext, createVisitContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecuteExtendedVisitContext

          public ExecuteExtendedVisitContext(javax.faces.context.FacesContext facesContext,
                                     Collection<String> clientIds,
                                     Set<javax.faces.component.visit.VisitHint> hints)

      Parameters:
        `facesContext` -
        `clientIds` -
        `hints` -

Copyright © 2014 JBoss by Red Hat. All rights reserved.